<?php
/* Mantenimiento de los registros de la tabla MST_TiempoCabecera redefinidos por el usaurio */
class MST_TiempoCabeceraDP extends BaseMST_TiempoCabeceraDP
{
    public static function recuperarId()
    {
        $s_Sql = "SELECT IF( MAX( IdTiempoCab ) IS NULL, 1, MAX( IdTiempoCab ) + 1 ) i_Id FROM MST_TiempoCabecera;";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        return $o_ResultSet->getInt( 'i_Id' );
    }
}
?>